Subject: [PATCH staging v2 00/20] Update gstreamer et al. to 1.20.3

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 30 Jun 2022 18:55:30 +0200

Hi Zhu and everyone else reading

this patch set (hopefully) provides the right feature split for smoothly
upgrading gstreamer.  I did not test this on current staging
(some firefox-related build killed my machine and I'm not going to
restart it in this heat), but I'm fairly certain that things work
*mostly*.  At the very least, webkitgtk and pitivi built previously.

I did not alter any propagated inputs.  webkitgtk curiously claims that
gst-plugins-bad needs libgudev, but I don't see that in pitivi and it is
supposedly fine, so ‾\_(ツ)_/‾

Cheers

Liliana Marie Prikler (20):
  gnu: python-gst: Add upstream-name.
  gnu: gstreamer: Update to 1.20.3.
  gnu: gst-plugins-base: Update to 1.20.3.
  gnu: gst-plugins-good: Update to 1.20.3.
  gnu: gst-plugins-bad: Update to 1.20.3.
  gnu: gst-plugins-ugly: Update to 1.20.3.
  gnu: gst-libav: Update to 1.20.3.
  gnu: gst-editing-services: Update to 1.20.3.
  gnu: gstreamer-docs: Update to 1.20.3.
  gnu: python-gst: Update to 1.20.3.
  gnu: gst-plugins/selection: Implement in terms of G-Expressions.
  gnu: Add gst-plugins-bad-minimal.
  gnu: webkitgtk: Add missing inputs.
  gnu: gstreamer: Use new package style.
  gnu: gst-plugins-good: Use new package style.
  gnu: gst-plugins-bad: Use new package style.
  gnu: gst-plugins-ugly: Use new package style.
  gnu: gst-editing-services: Use new package style.
  gnu: gst-python: Use new package style.
  gnu: gst-editing-services: Update FIXME comment.

 gnu/local.mk                                  |   1 -
 gnu/packages/gstreamer.scm                    | 787 +++++++++---------
 .../patches/gst-plugins-good-fix-test.patch   |  94 ---
 gnu/packages/video.scm                        |   2 +-
 gnu/packages/webkit.scm                       |   2 +
 5 files changed, 398 insertions(+), 488 deletions(-)
 delete mode 100644 gnu/packages/patches/gst-plugins-good-fix-test.patch

base-commit: 01d1b285b897342a0153cd8bd7c88db134f5e5a2
-- 
2.36.1